Auto-Upgrade "Stream-crossing" Balls-Up

By TweetDeck
Wednesday, 8 July 2009

Ok to start with a huge apology for those people who have been affected. We’re not hiding from it - we messed up. Really sorry.

TweetDeck has a built in location to look for its latest versions and then auto-upgrades if it finds a new version. Version 0.25.1 of TweetDeck had a bug in it that made it look at the wrong place. In the process of releasing the latest and greatest versions of TweetDeck to everyone, those TweetDeck’s on v0.25.1 (a small but significant number) picked up a wrong branded version. In Ghost Buster terms “we crossed the streams”.

If you have a Blink-182 TweetDeck but want to be using the “vanilla” TweetDeck then please download the latest version from http://tweetdeck.com.

If you have a “vanilla” TweetDeck but want to be using the Blink-182 TweetDeck then please download the latest version from http://tweetdeck.com/blink182.

So again, really sorry for the confusion. This won’t happen again.